GCLOUD_COMPUTE_INSTANCES_STOP(1)

NAME

gcloud compute instances stop - stop a virtual machine instance

SYNOPSIS

gcloud compute instances stop INSTANCE_NAMES [INSTANCE_NAMES ...] [--discard-local-ssd] [--zone=ZONE] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute instances stop is used stop a Google Compute Engine virtual machine. Stopping a VM performs a clean shutdown, much like invoking the shutdown functionality of a workstation or laptop. Stopping a VM with a local SSD is not supported and will result in an API error.

POSITIONAL ARGUMENTS

    INSTANCE_NAMES [INSTANCE_NAMES ...]
        The names of the instances to operate on.

FLAGS

    --discard-local-ssd
        If provided, local SSD data is discarded.

    --zone=ZONE
        The zone of the instances to operate on. If not specified, you may be prompted to select a zone. gcloud will attempt to identify the zone by searching for resources in your project. If the zone cannot be determined, you will then be prompted with all Google Cloud Platform zones. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.